class Mathd 
{
   public static double sind(double a) 
   { 
	double pi=Math.PI;
	double r=(a/180.0)*pi;
	double sind=Math.sin(r); 
	return sind; 
   } 
   public static double cosd(double a) 
   { 
	double pi=Math.PI;
	double r=(a/180.0)*pi;
	double cosd=Math.cos(r); 
	return cosd; 
   }
  public static double tand(double a) 
   { 
	double pi=Math.PI;
	double r=(a/180.0)*pi;
	double tand=Math.tan(r); 
	return tand; 
   }

 public static double asind(double b) 
   { 
	double asind=Math.asin(b)*180.0/Math.PI; 
	return asind; 
   } 
   public static double acosd(double b) 
   { 
	double acosd=Math.acos(b)*180/(Math.PI); 
	return acosd; 
   }
  public static double atand(double b) 
   { 
	double atand=Math.atan(b)*180/(Math.PI); 
	return atand; 
   }
  public static double atan2d(double a,double b) 
   { 
	double atand=Math.atan2(a,b)*180.0/(Math.PI); 
	return atand; 
   }
}
